Package csb :: Package bio :: Package sequence :: Class StdProteinAlphabet

[frames] | no frames]

# Class StdProteinAlphabet

source code

       object --+
                |
    core.EnumBase --+
                    |
            core.enum --+
                        |
                       StdProteinAlphabet

Standard protein sequence alphabet

Instance Methods
Inherited from `core.enum`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| ALA = `ALA`
| ARG = `ARG`
| ASN = `ASN`
| ASP = `ASP`
| CYS = `CYS`
| GLN = `GLN`
| GLU = `GLU`
| GLY = `GLY`
| HIS = `HIS`
| ILE = `ILE`
| LEU = `LEU`
| LYS = `LYS`
| MET = `MET`
| PHE = `PHE`
| PRO = `PRO`
| SER = `SER`
| THR = `THR`
| TRP = `TRP`
| TYR = `TYR`
| VAL = `VAL`

Properties
Inherited from `object`: `__class__`